*{
	margin:0;
	padding:0;
	border:0;
	outline:none;
}
a{ 
	text-decoration: none; 
}
body {
	 overflow: hidden;
}
html, body { 
	height: 100%;
	background-color: #2b2b2b;
}

#hap-wrapper{
	position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50px;
    z-index: 99999999;
    font-family: Arial, Helvetica, sans-serif;
    display:none;
}
.hap-player-holder{
	position:fixed;
	width:100%;
	height:50px;
	bottom:0px;
	background: rgb(237,237,237);
}
.hap-btn{
	display: none;
	height:100%;
}
.hap-contr-btn{
	width: 50px;
	height:100%;
	float: left;
	position: relative;
	cursor: pointer;
}
.hap-contr-btn svg{
	color:rgb(85,85,85);
}
.hap-btn:hover svg,
.hap-contr-btn:hover > svg,
.hap-contr-btn-hover svg{
	color:rgb(255,255,255)!important;
} 
.hap-contr-btn svg{
	position: absolute;
	top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
	height: 15px;
	fill:currentColor;
	transition: color .1s ease-out;
}

.hap-player-controls{
	position: absolute;
    height: 100%;
    bottom: 0;
    left: 0;
    width: 100%;
    display: flex;
}
.hap-player-controls-left{
}
.hap-player-controls-right{
	position: relative;
    margin-left: auto;
}

.hap-media-time-current,
.hap-media-time-total{
	position:relative;
	top: 50%;
	left:0px;
	text-align: center;
	width:60px;	
	float:left;
	color:rgb(102,102,102);
	margin:0!important;
	font-size:14px!important;
    -ms-transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
}

.hap-seekbar-wrap{
	position:relative;
	margin: 0 15px;
    height: 100%;
    overflow: hidden;
}
.hap-seekbar{
    overflow: hidden;
    height: 100%;
    cursor: pointer;
    touch-action: none;
    flex: 1;
}
.hap-progress-bg{
	position:relative;
	background:#333;
	width:100%;
	top:25px;
	height:2px;
}
.hap-load-level{
	position:absolute;
	background:rgb(115,115,115);
	top:0;
	height:100%;
}
.hap-progress-level{
	position:absolute;
	background:#e91e63;
	top:0;
	height:100%;
}



.hap-volume-seekbar{
	position:absolute;
	top:-100px;
	left:0px;
	width:50px;
	height:100px;
	display:none;
	cursor: pointer;
	touch-action: none;
	background:rgb(237,237,237);
}
.hap-volume-wrapper:hover .hap-volume-seekbar{
	display: block;
}
.hap-volume-bg{
	position:absolute;
	width:2px;
	height:80px;
	background:rgb(119,119,119);
	left:24px;
	bottom:10px;
}
.hap-volume-level{
	position:absolute;
	width:2px;
	height:60px;
	background:rgb(255,255,255);
	left:0;
	bottom:0;
}
.hap-share-holder{
	position: fixed;
	left: 50%;
	top: 50%;
    transform: translate(-50%, -50%);
	max-width:600px;
	width:100%;
	background:rgb(237,237,237);
	box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.1);
	z-index:50;
	padding:20px 20px 10px 20px;
	display: none;
	box-sizing: border-box; 
}
.hap-info-data{
	max-height: 300px;
	overflow:hidden;
}
.hap-player-title{
	color:rgb(17,17,17);
	margin:0;
	margin-right: 20px;
	margin-bottom: 10px;
	padding:0;
	font-size:17px;
}
.hap-player-desc{
	color:rgb(17,17,17);
	margin:0;
	margin-right: 20px;
	margin-bottom: 10px;
	padding:0;
	overflow: hidden;
	max-height: 150px;
	 display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;  
    font-size:13px;
}
.hap-share-holder-inner{
	position: relative;
	height: 30px;
    margin-top: 10px;
}
.hap-share-item{
	position:relative;
	bottom:0px;
	left:0px;
	width:25px;
	height:30px;
	margin-right:10px;
	text-align: center;
	float: left;
}
.hap-share-close{
	position: absolute;
    right: 0;
    top: 0;
    height: 50px;
    width: 50px;
	cursor: pointer;
}

#hap-playlist-list{
	display: none;
}
.hap-playlist-holder{
	position:fixed;
	bottom:50px;
	left:0;
	width:100%;
	overflow:hidden;
    height: calc(100% - 50px);
}
.hap-playlist-inner{
	height:100%;
}
.hap-grid-sizer { width: 20%; }
.hap-playlist-item{
    width: 20%;
	overflow: hidden;
}
@media screen and (max-width: 1224px) {
  .hap-grid-sizer { width: 33.33%; }
  .hap-playlist-item { width: 33.33%; }
}
@media screen and (max-width: 720px) {
  .hap-grid-sizer { width: 50%; }
  .hap-playlist-item { width: 50%; }
}
@media screen and (max-width: 480px) {
  .hap-grid-sizer { width: 100%; }
  .hap-playlist-item { width: 100%; }
}

.hap-playlist-non-selected {
	text-align: center;
	height: 100%;
	text-decoration: none; 
}
.hap-playlist-selected {
	text-align: center;
	height: 100%;
	text-decoration: none; 
}
.hap-playlist-thumb{
	display: block;
	position:relative;
	width:100%;
	height:100%;
	top:0;
	left:0;
	overflow:hidden;
}
.hap-playlist-thumb img{
	display:block;
	width:100%;
	height:auto!important;
}

.hap-playlist-info{
	font-size:17px;
	position:absolute;
	bottom:0;
	left:0;
	text-align: center;
	color:rgb(255,255,255)!important;
	right: 0;
	padding:20px;
	opacity:0;
	pointer-events:none;
    transition: bottom .5s ease-out, opacity .5s ease-out; 
}
.hap-wall-overlay{
	position: absolute;
	left:0;
	top:0;
	width: 100%;
	height: 100%;
	background-color: rgb(17,17,17);
	opacity: 0;
    cursor: pointer;
    transition: all .5s ease-out; 
  	pointer-events:none;
  	background-image: url('../data/misc/bigplay.png');
  	background-repeat: no-repeat;
  	background-position: center;
}
.hap-playlist-item-selected .hap-playlist-info{
	opacity:1;
	bottom: 10px;
}
.hap-playlist-item-selected .hap-wall-overlay{
	opacity: 0.7;
}

.hap-playlist-item:not(.hap-playlist-item-selected):hover .hap-playlist-info{
	opacity:1;
	bottom: 10px;
}
.hap-playlist-item:not(.hap-playlist-item-selected):hover .hap-wall-overlay{
	opacity: 0.7;
}

.hap-playlist-icons{
	position: absolute;
    top: 0;
    right: 0;
}

.hap-download, .hap-link{
	text-align: center;
	width: 40px;
	height: 40px;
	float: right;
	border: 0!important;
	box-shadow: none!important;
	position: relative;
	top:0;
}
.hap-download svg,
.hap-link svg{
	position: absolute;
	top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
	height: 13px;
	fill:currentColor;
	transition: color .1s ease-out;
}
.hap-download svg, 
.hap-link svg{
	color:#aaa!important;
}
.hap-download:hover svg, 
.hap-link:hover svg{
	color:#fff!important;
}


.hap-preloader{
    position: fixed;
    width: 80px;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}
.hap-preloader span{
    display:block;
    bottom:0px;
    width: 9px;
    height: 5px;
    background:#e91e63;
    position:absolute;
    animation: hap_preloader 1.5s  infinite ease-in-out;
}
.hap-preloader span:nth-child(2){
	left:11px;
	animation-delay: .2s;
}
.hap-preloader span:nth-child(3){
	left:22px;
	animation-delay: .4s;
}
.hap-preloader span:nth-child(4){
	left:33px;
	animation-delay: .6s;
}
.hap-preloader span:nth-child(5){
	left:44px;
	animation-delay: .8s;
}
@keyframes hap_preloader {
    0% {height:5px;transform:translateY(0px);}
    25% {height:30px;transform:translateY(15px);}
    50% {height:5px;transform:translateY(0px);}
    100% {height:5px;transform:translateY(0px);}
}

.hap-tooltip{
	position:absolute;
	background:#e91e63;
	text-align:center;
	z-index:10000;
	pointer-events:none;
	color:#fff!important;
	display:none;
	font-size:12px!important;
	padding:2px 5px !important;
	line-height:20px !important;
	white-space:nowrap;
}



/* scroll */
.hap-playlist-inner .mCSB_inside > .mCSB_container {
    margin-right: 30px;
}

@media only screen and (max-width: 600px) {
	.hap-media-time-total, .hap-media-time-current{
		display: none;
	}
}
@media only screen and (max-width: 500px) {
	.hap-prev-toggle, .hap-next-toggle, .hap-playlist-toggle{
		display: none;
	}
}


